> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions

> Retrieves a specified bank accounts transaction.



## OpenAPI

````yaml /openapi.json get /bankaccounts/{bankAccountId}/transactions
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /bankaccounts/{bankAccountId}/transactions:
    get:
      tags:
        - Bank Accounts
      summary: Get transactions
      description: Retrieves a specified bank accounts transaction.
      operationId: GetTransactions
      parameters:
        - name: bankAccountId
          in: path
          required: true
          schema:
            type: string
        - name: Offset
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Limit
          in: query
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
        - name: LastUpdated
          in: query
          description: Returns items updated since the specified date and time.
          schema:
            type: string
            format: date-time
            example: '2022-04-23T14:00:00Z'
          example: '2022-04-23T14:00:00Z'
        - name: MatterId
          in: query
          description: Filters items by the specified matter ID.
          schema:
            type: string
            example: da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262
          example: da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262
      responses:
        '200':
          description: When request is successful. Returns a 'Transaction' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: >-
            When transaction with specified id is not associated with
            authenticated client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When transaction with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Transaction:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the transaction.
          nullable: true
          example: 64818ee0-c7b4-46ec-862e-514d8b29540a
        payorName:
          type: string
          description: The name of the associated contact.
          nullable: true
          example: John Smith
        matter:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The associated matter.
          nullable: true
        payor:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The associated contact that paid the funds.
          nullable: true
        bankAccount:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The bank account where the transaction took place.
          nullable: true
        type:
          type: string
          description: "The type of the transaction.\r\n\r\nPossible values:\r\n    Deposit, DepositReversal, InvoicePayment, InvoicePaymentReversal, \r\n    VendorPayment, VendorPaymentReversal Transfer, \r\n    BankFees, BankFeesReversal, Interest, InterestReversal."
          nullable: true
          example: Deposit
        amount:
          type: number
          description: >-
            The amount of the transaction in dollars. Limited to 2 decimal
            places (cents).
          format: double
          example: 102.65
        enteredDate:
          type: string
          description: Date the transaction was entered.
          format: date-time
        effectiveDate:
          type: string
          description: Date the transaction took effect.
          format: date-time
        reference:
          type: string
          description: Reference for the transaction.
          nullable: true
        reason:
          type: string
          description: Reason for the transaction.
          nullable: true
        description:
          type: string
          description: Description of the transaction.
          nullable: true
        note:
          type: string
          description: Note for the transaction (for internal use).
          nullable: true
        reversed:
          type: boolean
          description: True if this transaction has been reversed.
          example: true
        reversedToTransaction:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: >-
            The transaction that was created as a result of reversing this
            transaction.
          nullable: true
        reversedFromTransaction:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The transaction that was recversed to create this transaction.
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````